var map = mapperFactory.createMapper("EstProdRemPreVenc");
var obj = message;
var i = 0;
var itens = obj.get("itens");
var cdRemPreVen = map.selectOne("ListarMaxEstProdRemPreVenc",null);
try{
	obj.put("cdRemPreVen", cdRemPreVen.get("cdRemPreVen"));
	map.insert("IncluirEstProdRemPreVenc", obj);
	
	for (i = 0; i < itens.size(); i++) {
	  var item = itens.get(i);
	  item.put("cdRemPreVen", cdRemPreVen.get("cdRemPreVen"));
	  error = " ERRO NA INCLUSÃO DOS ITENS < IncluirEstProdRemPreVencIt >"; 
	  map.insert("IncluirEstProdRemPreVencIt",item); //INSERE IncluirEstProdRemPreVencIt
	}
	
	map.commit();
}catch(err){
	map.rollback();
  throw " Ocorreu um erro: " + err;
}